<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
ComputePermissions Method (IEdmBatchDelete)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchDelete Interface : ComputePermissions Method (IEdmBatchDelete)

Visual Basic
C#
C++/CLI

bDestroy
  True to permanently delete files and folders, false to move files and folders to the recycle bin

poCallback
  Optional pointer to a class that implements IEdmCallback to provide delete progress feedback to the user

Specifies whether files or folders should be permanently deleted or moved to the recycle bin.

# Syntax

Visual Basic |
--- | ---

    Function ComputePermissions( _
       ByVal bDestroy As System.Boolean, _
       Optional ByVal poCallback As EdmCallback _
    ) As System.Boolean

C# |
--- | ---

    System.bool ComputePermissions(
       System.bool bDestroy,
       EdmCallback poCallback
    )

C++/CLI |
--- | ---

    System.bool ComputePermissions(
    &   System.bool bDestroy,
    &   EdmCallback^ poCallback
    )

#### Parameters

bDestroy
  True to permanently delete files and folders, false to move files and folders to the recycle bin
poCallback
  Optional pointer to a class that implements IEdmCallback to provide delete progress feedback to the user

#### Return Value

True if no errors occurred, false otherwise

# Example

See the IEdmBatchDelete examples.

# Remarks

Before calling this method, you must add files and folders to the batch using IEdmBatchDelete::AddFileByID, IEdmBatchDelete::AddFileByPath, and IEdmBatchDelete::AddFolder.

If errors occurred during IEdmBatchDelete::ComputePermissions, call IEdmBatchDelete::ShowWarningDlg.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchDelete Interface
IEdmBatchDelete Members

# Availability

SOLIDWORKS PDM Professional 2008